% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splot-edges.R
\name{find_curve_split_index}
\alias{find_curve_split_index}
\title{Find Split Index for Curve Based on Arc Length Fraction}
\usage{
find_curve_split_index(x, y, fraction)
}
\arguments{
\item{x, y}{Vectors of curve coordinates.}

\item{fraction}{Desired fraction of total arc length (0-1).}
}
\value{
Index at which to split the arrays.
}
\description{
Calculates the index at which to split a curve's coordinate arrays
so that the first segment covers a given fraction of the total arc length.
}
\keyword{internal}
